Bug 981071 - Register account still available when logged in
Register account still available when logged in
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
development
All All
low Severity low
: ---
: 3.3
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 19:35 EDT by Damian Jansen
Modified: 2014-03-20 01:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20131205-0040)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-07-03 19:35:50 EDT
Description of problem:
While logged in, a user can still access /account/register and create an account.

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Easily, always

Steps to Reproduce:
1. Sign into an account
2. Go to $server:port/zanata/account/register
3. Fill in fields and press submit

Actual results:
Register form is available, a new account is created.

Expected results:
Register shouldn't generally be available while logged in. Not a serious issue, but if a user is logged in it's generally _better_ to redirect them to a page like home or user profile.
Comment 1 Damian Jansen 2013-09-24 00:25:52 EDT
I can still cause this to occur at b7f74cfcbc25189c303e70b947e544c17449c979
Comment 2 Alex Eng 2013-11-28 23:37:43 EST
pull request:
https://github.com/zanata/zanata-server/pull/304
Comment 3 Ding-Yi Chen 2013-12-05 00:53:50 EST
VERIFIED with Zanata version 3.3.0-SNAPSHOT (20131205-0040)
Comment 4 Sean Flanigan 2014-03-20 01:47:21 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.